Unit tde37r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FB1DE37R_p, FB2DE37R_p, DE37R_p;

function tde37r: String;

implementation

function tde37r: String;
var
M,K,_i,IERR :Integer;
XN,XK,HMIN,EPS,P,H,X,Y1,Y2 :Real;
YN :Array [0..1] of Real;
Y :Array [0..1] of Real;
RAB :Array [0..58] of Real;
IR :Array [0..5] of Integer;
label
_200;
begin
Result := '';  {   }
M := 2;
XN := 0.0;
YN[0] := 2.0;
YN[1] := 18.0;
XK := 5.0;
HMIN := 1.E-5;
EPS := 1.E-5;
P := 100.0;
for K:=1 to 2 do
 begin
  H := 0.01;
  DE37R(FB1DE37R,FB2DE37R,M,XN,YN,XK,HMIN,EPS,P,H,Y,RAB,IR,IERR);
  Result := Result + Format('%s',[' IERR=']);
  Result := Result + Format('%4d ',[IERR]) + #$0D#$0A;
  X := XK;
  Y1 := Exp(-X)+Exp(-21.0*X);
  Y2 := 19.0*Exp(-X)-Exp(-21.0*X);
  Result := Result + Format('%20.16f ',[XK]) + #$0D#$0A;
  Result := Result + #$0D#$0A;
  for _i:=0 to 1 do
   begin
    Result := Result + Format('%20.16f ',[Y[_i]]);
    if ( ((_i+1) mod 2)=0 )
     then Result := Result + #$0D#$0A;
   end;
  Result := Result + #$0D#$0A;
  Result := Result + Format('%20.16f %20.16f %20.16f ',
 [H,Y1,Y2]) + #$0D#$0A;
  EPS := 0.5E-5;
_200:
 end;
UtRes('tde37r',Result);  {     tde37r.res }
exit;
end;

end.
